/*
 * Copyright (C) 2011-2013 Gary Kramlich <grim@reaperworld.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined(GPLUGIN_GLOBAL_HEADER_INSIDE) && !defined(GPLUGIN_COMPILATION)
#error "only <gplugin.h> may be included directly"
#endif

#ifndef GPLUGIN_VERSION_H
#define GPLUGIN_VERSION_H

#define GPLUGIN_MAJOR_VERSION (0)
#define GPLUGIN_MINOR_VERSION (29)
#define GPLUGIN_MICRO_VERSION (0)
#define GPLUGIN_EXTRA_VERSION ""

#define GPLUGIN_VERSION       "0.29.0"

#define GPLUGIN_VERSION_CHECK(major,minor,micro) \
	((major) == GPLUGIN_MAJOR_VERSION && \
	 ((minor) < GPLUGIN_MINOR_VERSION || \
	  ((minor) == GPLUGIN_MINOR_VERSION && (micro) <= GPLUGIN_MICRO_VERSION)))

#include <glib.h>

G_BEGIN_DECLS

typedef gint (*GPluginVersionCompareFunc)(const gchar *v1, const gchar *v2, GError **error);

gint gplugin_version_compare(const gchar *v1, const gchar *v2, GError **error);

G_END_DECLS

#endif /* GPLUGIN_VERSION_H */

